Skip to main content
GET
/
v2
/
actions
/
{id}
Show
curl --request GET \
  --url https://api.incident.io/v2/actions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "action": {
    "assignee": {
      "email": "lisa@incident.io",
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "name": "Lisa Karlin Curtis",
      "role": "owner",
      "slack_user_id": "U02AYNF2XJM"
    },
    "completed_at": "2021-08-17T13:28:57.801578Z",
    "created_at": "2021-08-17T13:28:57.801578Z",
    "creator": {
      "alert": {
        "id": "01GW2G3V0S59R238FAHPDS1R66",
        "title": "*errors.withMessage: PG::Error failed to connect"
      },
      "api_key": {
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "My test API key"
      },
      "user": {
        "email": "lisa@incident.io",
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "Lisa Karlin Curtis",
        "role": "owner",
        "slack_user_id": "U02AYNF2XJM"
      },
      "workflow": {
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "My little workflow"
      }
    },
    "description": "Call the fire brigade",
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "status": "outstanding",
    "updated_at": "2021-08-17T13:28:57.801578Z"
  }
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

Unique identifier for the action

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Response

200 - application/json

OK response.

action
object
required